cURL
curl --request POST \
--url https://app.example.com/v1/admin/finance/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"invoiceNumber": "<string>",
"bookingId": "<string>",
"personId": "<string>",
"currency": "<string>",
"subtotalCents": 123,
"taxCents": 123,
"totalCents": 123,
"issueDate": "<string>",
"dueDate": "<string>",
"notes": "<string>"
}'const response = await fetch("https://app.example.com/v1/admin/finance/invoices", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify({
"invoiceNumber": "<string>",
"bookingId": "<string>",
"personId": "<string>",
"currency": "<string>",
"subtotalCents": 123,
"taxCents": 123,
"totalCents": 123,
"issueDate": "<string>",
"dueDate": "<string>",
"notes": "<string>"
}),
});
const data = await response.json();import requests
response = requests.post(
"https://app.example.com/v1/admin/finance/invoices",
headers={
"Authorization": "Bearer <token>"
},
json={
"invoiceNumber": "<string>",
"bookingId": "<string>",
"personId": "<string>",
"currency": "<string>",
"subtotalCents": 123,
"taxCents": 123,
"totalCents": 123,
"issueDate": "<string>",
"dueDate": "<string>",
"notes": "<string>"
}
)
data = response.json()
{
"data": {
"id": "inv_01HZX...",
"invoiceNumber": "2026-000123",
"bookingId": "bkg_01HZX...",
"status": "issued",
"currency": "EUR",
"totalCents": 119000,
"personId": "<string>",
"organizationId": "<string>",
"kind": "fiscal",
"baseCurrency": "<string>",
"subtotalCents": 100000,
"taxCents": 19000,
"paidCents": 0,
"balanceDueCents": 119000,
"commissionPercent": 123,
"commissionAmountCents": 123,
"issueDate": "2026-06-17",
"dueDate": "2026-07-17",
"notes": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}Finance
Create an invoice
Create a draft invoice. Supports an idempotency key header (Idempotency-Key) scoped to POST /v1/admin/finance/invoices.
POST
/
v1
/
admin
/
finance
/
invoices
cURL
Authorizations
Staff session or API token issued by your Voyant app.
Body
application/json
Maximum string length:
50Required string length:
3Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Response
Created invoice
Show child attributes
Show child attributes
⌘I